libebook::FictionBook2TableModel Class Reference documentation

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2TableModel Class Reference

## Public Member Functions
| FictionBook2TableModel ()
size_t | addRow ()
| Add a row.
size_t | addCell (size_t rowSpan, size_t columnSpan)
| Add a cell spanning `rowSpan` rows and `colSpan` columns.

## Private Types
typedef std::deque< bool > | Row_t
typedef std::deque< Row_t > | Table_t

## Private Member Functions
void | ensureColumns (Row_t &row)

## Private Attributes
Table_t | m_table
size_t | m_rows
size_t | m_columns
size_t | m_current_row
size_t | m_current_column

## Member Typedef Documentation

## ◆ Row_t

typedef std::deque<bool> libebook::FictionBook2TableModel::Row_t
| private

## ◆ Table_t

typedef std::deque<Row_t> libebook::FictionBook2TableModel::Table_t
| private

## Constructor & Destructor Documentation

## ◆ FictionBook2TableModel()

libebook::FictionBook2TableModel::FictionBook2TableModel | ( |  | ) |

## Member Function Documentation

## ◆ addCell()

size_t libebook::FictionBook2TableModel::addCell | ( | size_t | rowSpan,
|  | size_t | columnSpan )

Add a cell spanning `rowSpan` rows and `colSpan` columns.

Returns
  the total number of following covered cells.

## ◆ addRow()

size_t libebook::FictionBook2TableModel::addRow | ( |  | ) |

Add a row.

Returns
  then number of cells covered at the beginning of the row.

## ◆ ensureColumns()

void libebook::FictionBook2TableModel::ensureColumns | ( | Row_t & | row | ) |
| private

Referenced by addCell().

## Member Data Documentation

## ◆ m_columns

size_t libebook::FictionBook2TableModel::m_columns
| private

Referenced by addCell(), addRow(), ensureColumns(), and FictionBook2TableModel().

## ◆ m_current_column

size_t libebook::FictionBook2TableModel::m_current_column
| private

Referenced by addCell(), addRow(), and FictionBook2TableModel().

## ◆ m_current_row

size_t libebook::FictionBook2TableModel::m_current_row
| private

Referenced by addCell(), addRow(), and FictionBook2TableModel().

## ◆ m_rows

size_t libebook::FictionBook2TableModel::m_rows
| private

Referenced by addCell(), addRow(), and FictionBook2TableModel().

## ◆ m_table

Table_t libebook::FictionBook2TableModel::m_table
| private

Referenced by addCell(), addRow(), and FictionBook2TableModel().

The documentation for this class was generated from the following file:

- FictionBook2TableContext.cpp